Create a List Attribute
1 min
POST
https://api.optimizely.com/v2/list_attributes
Body Parameters
- bodyListAttributerequiredDescription
- archivedbooleanDescriptionDefaultfalse
- descriptionstringDescription
- key_fieldstringrequiredDescription
- list_contentstringDescription
- list_typestring<cookies | query_parameters | zip_codes | js_variables>DescriptionAllowedcookiesquery_parameterszip_codesjs_variables
- namestringrequiredExampleDescriptionPattern^[-_0-9A-Za-z]+$
- project_idinteger<int64>requiredDescriptionFormatint64
Responses
201
- ListAttribute
- account_idinteger<int64>DescriptionFormatint64
- archivedbooleanDescriptionDefaultfalse
- aws_access_keystringDescription
- aws_secret_keystringDescription
- createdstring<date-time>DescriptionFormatdate-time
- descriptionstringDescription
- idinteger<int64>DescriptionFormatint64
- key_fieldstringrequiredDescription
- last_modifiedstring<date-time>DescriptionFormatdate-time
- list_contentstringDescription
- list_typestring<cookies | query_parameters | zip_codes | js_variables>DescriptionAllowedcookiesquery_parameterszip_codesjs_variables
- namestringrequiredExampleDescriptionPattern^[-_0-9A-Za-z]+$
- project_idinteger<int64>requiredDescriptionFormatint64
- s3_pathstringDescription
400
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
401
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
default
- Error
- codestring
- messagestring
- messagesobject
- uuidstring<uuid>Formatuuid
curl
curl --request POST \
--url https://api.optimizely.com/v2/list_attributes \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"key_field": "",
"name": "SubscriberStatus",
"project_id": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"key_field": "",
"name": "SubscriberStatus",
"project_id": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.optimizely.com/v2/list_attributes", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/v2/list_attributes")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"key_field": "",
"name": "SubscriberStatus",
"project_id": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/v2/list_attributes"
payload = json.dumps({
"key_field": "",
"name": "SubscriberStatus",
"project_id": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Successfully created the List Attribute
{
"account_id": "",
"archived": false,
"aws_access_key": "",
"aws_secret_key": "",
"created": "",
"description": "",
"id": "",
"key_field": "",
"last_modified": "",
"list_content": "",
"list_type": "",
"name": "SubscriberStatus",
"project_id": "",
"s3_path": ""
}400
// Invalid request body content
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}401
// Invalid credentials
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}default
// Unexpected error
{
"code": "",
"message": "",
"messages": {},
"uuid": ""
}